[ease/autotools] Add the autogen.sh file.



commit d3237febe12874659f93ba5e99ee59dc9f04cc59
Author: Stéphane Maniaci <stephane maniaci gmail com>
Date:   Fri May 21 01:21:08 2010 +0200

    Add the autogen.sh file.

 autogen.sh |   21 +++++++++++++++++++++
 1 files changed, 21 insertions(+), 0 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..931c7d5
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="ease"
+REQUIRED_AUTOMAKE_VERSION=1.11
+
+(test -f $srcdir/src/Main.vala) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level $PKG_NAME directory"
+    exit 1
+}
+
+which gnome-autogen.sh || {
+    echo "You need to install gnome-common from the GNOME CVS"
+    exit 1
+}
+
+. gnome-autogen.sh



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]